commit:     aa1e1f9c506b061f3eebb10304560bff038731b6
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Mon Feb 15 08:42:46 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Feb 15 08:42:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa1e1f9c

sci-libs/ccfits: Port to EAPI 7

Bug: https://bugs.gentoo.org/770637
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/ccfits/ccfits-2.5.ebuild | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

diff --git a/sci-libs/ccfits/ccfits-2.5.ebuild 
b/sci-libs/ccfits/ccfits-2.5.ebuild
index d02029f57d0..c2dbe59e5bc 100644
--- a/sci-libs/ccfits/ccfits-2.5.ebuild
+++ b/sci-libs/ccfits/ccfits-2.5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit autotools eutils ltprune
+inherit autotools
 
 MYPN=CCfits
 MYP=${MYPN}-${PV}
@@ -15,17 +15,15 @@ 
SRC_URI="https://heasarc.gsfc.nasa.gov/fitsio/CCfits/${MYP}.tar.gz";
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc static-libs"
+IUSE="doc"
 
 RDEPEND=">=sci-libs/cfitsio-3.080"
 DEPEND="${RDEPEND}"
 
 S="${WORKDIR}/${MYPN}"
 
-DOCS=( CHANGES README.INSTALL )
-PATCHES=(
-       "${FILESDIR}"/${PN}-2.2-makefile.patch # avoid building cookbook by 
default and no rpath
-)
+# avoid building cookbook by default and no rpath
+PATCHES=( "${FILESDIR}"/${PN}-2.2-makefile.patch )
 
 src_prepare() {
        default
@@ -34,7 +32,7 @@ src_prepare() {
 }
 
 src_configure() {
-       econf $(use_enable static-libs static)
+       econf --disable-static
 }
 
 src_install() {
@@ -43,5 +41,6 @@ src_install() {
                HTML_DOCS=( html/. )
        fi
        default
-       use static-libs || prune_libtool_files --all
+
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to